Arch CloseHoles/ro: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
 
(2 intermediate revisions by 2 users not shown)
Line 2: Line 2:


{{Docnav
{{Docnav
|[[Arch_RemoveShape|Remove Shape]]
|[[Arch_RemoveShape|RemoveShape]]
|[[Arch_MergeWalls|Merge Walls]]
|[[Arch_MergeWalls|MergeWalls]]
|[[Arch_Workbench|Arch]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_RemoveShape.svg
|IconL=Arch_RemoveShape.svg
Line 11: Line 11:


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/ro
{{GuiCommand/ro|Name=Arch CloseHoles|Name/ro=Arch CloseHoles|Workbenches=[[Arch Module/ro|Arch]]|MenuLocation=Arch → Utilities → Close Holes|SeeAlso=[[Arch Check/ro|Arch Check]]}}
|Name=Arch CloseHoles
|Name/ro=Arch CloseHoles
|MenuLocation=Arch → Utilities → Close Holes
|Workbenches=[[Arch_Workbench/ro|Arch]]
|SeeAlso=[[Arch Check/ro|Arch Check]]
}}
</div>
</div>


<span id="Description"></span>
==Descriere==
==Descriere==


Line 20: Line 27:
</div>
</div>


<span id="Usage"></span>
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
== Cum se folosește ==
== Cum se folosește ==
Line 29: Line 37:
</div>
</div>


<span id="Scripting"></span>
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
== Scrip-Programare ==
== Scrip-Programare ==
</div>
</div>

{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 65: Line 76:
solid = Arch.closeHole(Wall.Shape)
solid = Arch.closeHole(Wall.Shape)
}}
}}



{{Docnav
{{Docnav
|[[Arch_RemoveShape|Remove Shape]]
|[[Arch_RemoveShape|RemoveShape]]
|[[Arch_MergeWalls|Merge Walls]]
|[[Arch_MergeWalls|MergeWalls]]
|[[Arch_Workbench|Arch]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_RemoveShape.svg
|IconL=Arch_RemoveShape.svg
Line 76: Line 88:


{{Arch Tools navi{{#translation:}}}}
{{Arch Tools navi{{#translation:}}}}

{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 12:08, 19 May 2023

Arch CloseHoles

poziția meniului
Arch → Utilities → Close Holes
Ateliere
Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Arch Check

Descriere

Acest instrument identifică găuri/orificii (secvența circulară a marginilor deschise) într-un obiect Shape și încearcă să le închidă prin adăugarea unei fațete noi constrută pe acea secvență de margini. Totuși, trebuie să vă asigurați că rezultatul este un obiect solid.

Cum se folosește

  1. Selectați un obiect Shape
  2. Apăsați Close Holes entry in Arch → Utilities → Close Holes

Scrip-Programare

See also: Arch API and FreeCAD Scripting Basics.

Acest instrument poate fi utilizat în macros și din consola Python utilizând următoarea funcție:

solid = closeHole(shape)

închide o gaură într-o formă deschisă

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute() 

solid = Arch.closeHole(Wall.Shape)